IonCube Loader is a software tool, that's needed to run files which are encrypted with ionCube PHP Encoder. The aforementioned is an app used to make PHP code human unreadable, in order to protect it from reverse engineering and unauthorized usage. Lots of script-driven apps, particularly discussion boards, cms and e-commerce solutions are encrypted with ionCube PHP Encoder, so when you acquire a script and you notice that ionCube is on the list of web hosting environment prerequisites, you should ensure that your website hosting server has the tool pre-installed. Although it's not that hard to install it when you have your own server, it is almost impossible to do that on a shared web hosting server due to the fact that the PHP environment shall have to be precompiled and all the clients on the server shall be affected.

IonCube in Shared Web Hosting

When you buy a Linux shared web hosting from our company, it will be set up on our in-house made cloud hosting platform where ionCube Loader is already present, so you will not have any kind of problems to run any script application that needs the instrument in order to run properly. In addition, we offer a few different releases of PHP, which means that in case you change the version, you need to enable ionCube again. Our platform remembers the adjustments you make, so in case you switch back to the earlier version of PHP that was active for your account, ionCube Loader will already be activated. The PHP version as well as the ionCube tool can be operated from the PHP Configuration part of our Hepsia website hosting Control Panel. Every change that you do takes literally just a mouse-click and it'll take effect without delay.

IonCube in Semi-dedicated Hosting

Since all semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you will be able to use any script application that requires this tool in order to run effectively. With just a few clicks in your Hepsia website hosting Control Panel you can activate or deactivate ionCube for the PHP version that is currently active for the account. Since we support multiple releases of PHP simultaneously, you will need to do this any time you move to a different version, but when you revert back to a release which you've already used, our system will remember your preference and ionCube Loader will already be activated. When you have several sites inside the same account and they need different versions of PHP, you're able to set up a php.ini file in each domain folder and with a couple of lines of program code you will be able to define both the PHP release and the status of ionCube no matter what is selected for the hosting account as a whole.